#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [ ]

test_requirements = ['pytest>=3', ]

setup(
    author="Georgi Marinov",
    author_email='georgi.marinow@gmail.com',
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
    ],
    description="DaVinci Resolve API",
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='davinci_resolve_api',
    name='davinci_resolve_api',
    packages=find_packages(include=['davinci_resolve_api', 'davinci_resolve_api/*']),
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/GMarinow/davinci_resolve_api',
    version='0.3.0',
    zip_safe=False,
)
